﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace JavascriptTest.Controllers
{
    public class DataController : Controller
    {
        public ActionResult GetData(int id)
        {
            var person = GetSampleData().Single(p => p.Id == id);
            return Json(person, JsonRequestBehavior.AllowGet);
        }
        [NonAction]
        public Person[] GetSampleData()
        {
            return new Person[]{
                new Person(){
                    Id=1,
                    FName="Mahmood",
                    LName = "Dehghan",
                    Random = new Random().Next() 
                },
                new Person(){
                    Id=2,
                    FName="Mehdi",
                    LName = "Miri",
                    Random = new Random().Next() 
                }
            };
        }
    }

    public class Person
    {
        public int Id { get; set; }
        public string FName { get; set; }
        public string LName { get; set; }
        public int Random { get; set; }
    }
}